summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2012-12-12 10:13:35 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-12 10:13:48 +0100
commit7a318a0f0f80e2396ecf7d6b7f849188e224b00a (patch)
treed7ee19e6d221eca5f07fc832f27f586bcd26d243 /network
parentb820c99afe0ca2a8b34c1f88f29d2237a8552bb6 (diff)
downloadslackbuilds-7a318a0f0f80e2396ecf7d6b7f849188e224b00a.tar.gz
slackbuilds-7a318a0f0f80e2396ecf7d6b7f849188e224b00a.tar.xz
network/movgrab: Added (network movie grabber).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/movgrab/README6
-rw-r--r--network/movgrab/movgrab.SlackBuild87
-rw-r--r--network/movgrab/movgrab.info10
-rw-r--r--network/movgrab/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/network/movgrab/README b/network/movgrab/README
new file mode 100644
index 0000000000..daec6a2474
--- /dev/null
+++ b/network/movgrab/README
@@ -0,0 +1,6 @@
+movgrab is a downloader for all those pesky sites that insist you use a big fat
+browser that runs flash in order to see their content. It's a command-line app
+written in straight C.
+
+Supports HTTP Proxy server.
+Supports std-out (eg movgrab -f - URL | mplayer -).
diff --git a/network/movgrab/movgrab.SlackBuild b/network/movgrab/movgrab.SlackBuild
new file mode 100644
index 0000000000..d906b0471b
--- /dev/null
+++ b/network/movgrab/movgrab.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+# Slackware build script for movgrab
+#
+# Michales - clavisound - Michaloudes korgie@gmail.com <2012>
+
+PRGNAM=movgrab
+VERSION=${VERSION:-1.1.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS"
+autoreconf # otherwise fails with libUseful
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-largefiles \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/libUseful-2.0
+cp -a \
+ Docs/* README LICENCE CHANGES \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+ cp -a \
+ libUseful-2.0/Docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION/libUseful-2.0
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/movgrab/movgrab.info b/network/movgrab/movgrab.info
new file mode 100644
index 0000000000..2f37a30cf7
--- /dev/null
+++ b/network/movgrab/movgrab.info
@@ -0,0 +1,10 @@
+PRGNAM="movgrab"
+VERSION="1.1.14"
+HOMEPAGE="http://sites.google.com/site/columscode/home/movgrab"
+DOWNLOAD="https://sites.google.com/site/columscode/files/movgrab-1.1.14.tar.gz"
+MD5SUM="63b0b6325e3bc0fe4372222608287877"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/network/movgrab/slack-desc b/network/movgrab/slack-desc
new file mode 100644
index 0000000000..0a313185ea
--- /dev/null
+++ b/network/movgrab/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+movgrab: movgrab is a downloader for all those pesky sites that insist you use
+movgrab: a big fat browser that runs flash in order to see their content.
+movgrab: It's a command-line app written in straight C.
+movgrab:
+movgrab: homepage: http://sites.google.com/site/columscode/home/movgrab
+movgrab:
+movgrab:
+movgrab:
+movgrab:
+movgrab:
+movgrab: